/*
* @license Apache-2.0
*
* Copyright (c) 2019 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

import deepEqual = require( './index' );


// TESTS //

// The function returns a boolean...
{
	deepEqual( [ 1, 2, 3 ], [ 1, 2, 3 ] ); // $ExpectType boolean
	deepEqual( null, null ); // $ExpectType boolean
	deepEqual( 'beep', 'boop' ); // $ExpectType boolean
}

// The compiler throws an error if the function is provided an unsupported number of arguments...
{
	deepEqual(); // $ExpectError
	deepEqual( [ 1, 2, 3 ] ); // $ExpectError
	deepEqual( 'beep', 'beep', [ 1, 2, 3 ] ); // $ExpectError
}
